<template>
  <el-menu
    :default-active="activeIndex"
    class="el-menu-demo"
    mode="horizontal"
    :ellipsis="false"
    @select="handleSelect"
    popper-effect="light"
    background-color="rgb(118, 182, 247,0.8)"
    text-color="#fff"
    active-text-color="#ffd04b"
  >
    <el-menu-item index="0" style="padding: 0 50px;">LOGO</el-menu-item>
    <el-menu-item :index="index" v-for="(item,index) in noChildren()" :key="index" @click="$router.push(item.path)">{{ item.label }}</el-menu-item>
    <div class="flex-grow" />
    <el-menu-item id="input-sea">
    <div class="mt-5">
    <el-input
      v-model="input3"
      placeholder="输入搜索内容"
      class="input-with-select"
    >
      <template #prepend>
        <el-select v-model="selectvalue" placeholder="选择类型" style="width: 115px">
          <el-option :label="item" :value="item" v-for="(item,index) in select" :key="index"/>
        </el-select>
      </template>
      <template #append>
        <el-button :icon="Search" @click="toSeach()" />
      </template>
    </el-input>
  </div>
</el-menu-item>
    <el-sub-menu  :index="index" v-for="(item,index) in hasChildren()" :key="index">
      <template #title >
        <el-avatar :size="50" :src="oip" />
      </template>
      <el-menu-item  :index="subItem.name" v-for="(subItem,index) in item.children" :key="index" @click="$router.push(subItem.path)">{{ subItem.label }}</el-menu-item>
    </el-sub-menu>
  </el-menu>
</template>

<script lang="ts" setup>
import { ref } from 'vue'
import { Search } from '@element-plus/icons-vue'
import OIP from "../assets/img/OIP.jpg"
import router from '../router';
const oip = OIP;
const list = [
        {
          path: '/',
          name: 'home',
          label: '校园主页',
          // icon: 's-home',
          // url: 'Home/Home'
        },
        {
          path: '/postList',
          name: 'postList',
          label: '帖子广场',
          // icon: 'video-play',
          // url: 'MallManage/MallManage'
        },
        {
          path: '/cityWide',
          name: 'user',
          label: '同城',
          // icon: 'user',
          // url: 'UserManage/UserManage'
        },
        {
          path: '/bookList',
          name: 'user',
          label: '书屋',
          // icon: 'user',
          // url: 'UserManage/UserManage'
        },
        {
          label: '我的主页',
          icon: 'myCener',
          path:'/otmyCenerher',
          children: [
            {
              path: '/myCener',
              name: 'myCener',
              label: '个人中心',
              icon: 'setting',
              url: 'Other/PageOne'
            },
            {
              path: '/page2',
              name: 'page2',
              label: '我的消息',
              icon: 'setting',
              url: 'Other/PageTwo'
            }
          ]
        }
      ];
      // 搜索框内容
      const input3 = ref('')
      // 下拉列表数据
      const select = ref(['帖子','用户','书籍'])
      // 下拉列表选中值
      const selectvalue = ref('')
      // 一级菜单
      const noChildren = ()  =>{
        return list.filter((item) => !item.children);
      };
      // 二级菜单
      const hasChildren = ()  =>{
        return list.filter((item) => item.children);
      };
      const activeIndex = ref('1')
      const handleSelect = (key: string, keyPath: string[]) => {
        console.log(key, keyPath)
      }
      // 定义跳转方法，如果选择为书籍，则跳转书籍页，否则跳转搜索页，并传递参数
      const toSeach = ()=>{
        if(selectvalue.value == '书籍'){
          router.push({
          path: '/bookList',
          query: {
              isbn: input3.value
          }
      })
        }else{
          router.push({
          path: '/seach',
          query: {
              seachNav: selectvalue.value,
              text:input3.value,
          }
      })
        }
      }
</script>

<style lang="less" scoped>
.el-menu-demo {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 999;
}

.navbar {
  margin: 0;
}
.flex-grow {
  flex-grow: 1;
}
.el-menu-demo{
  height: 80px;
  #input-sea:hover{
    background-color: transparent;
  }
  .el-input{
    height: 42px;
    .el-select{
      border: none;
    }
  }
  li{
    font-size: 20px;
  }
  
}
</style>
